Class | Sequel::ADO::Dataset
In: | lib/sequel/adapters/ado.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Public Instance methods

fetch_rows(sql) {|cols.inject({}){|m,c| m[c] = r.shift;| ...}

[Source]

        # File lib/sequel/adapters/ado.rb, line 82
    82:       def fetch_rows(sql)
    83:         execute(sql) do |s|
    84:           @columns = cols = s.Fields.extend(Enumerable).map{|column| output_identifier(column.Name)}
    85:           s.getRows.transpose.each{|r| yield cols.inject({}){|m,c| m[c] = r.shift; m}} unless s.eof
    86:         end
    87:       end

[Validate]